# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './resource'

module RixmlDocument
  class Content < Node
    include HappyMapper
    tag 'Content'

    has_many :resources, Resource, tag: 'Resource', xpath: './'

    element :title, String, tag: 'Title'
    element :sub_title, String, tag: 'SubTitle'
    element :abstract, String, tag: 'Abstract'
    element :synopsis, String, tag: 'Synopsis'
  end
end
