# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './audience_type_entitlement'
require_relative './rixml_type/yes_no_boolean'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class Entitlement < Node
    include HappyMapper
    tag 'Entitlement'

    has_one :audience_type_entitlement, AudienceTypeEntitlement, tag: 'AudienceTypeEntitlement', xpath: './'

    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
    attribute :include_exclude_indicator, RixmlType::NormalizedString, tag: 'includeExcludeIndicator'
  end
end
