# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './organization_id'
require_relative './person_group_member'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class PersonGroup < Node
    include HappyMapper
    tag 'PersonGroup'
    has_many :person_group_members, PersonGroupMember, tag: 'PersonGroupMember', xpath: './'

    def persons
      person_group_members.map(&:person)
    end
  end

  class Organization < Node
    include HappyMapper
    tag 'Organization'

    has_many :organization_ids, OrganizationId, tag: 'OrganizationID', xpath: './'
    has_many :person_groups, PersonGroup, tag: 'PersonGroup', xpath: './'

    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
    attribute :type, String, tag: 'type'

    element :organization_name, String, tag: 'OrganizationName'
  end
end
