# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class Phone < Node
    include HappyMapper
    tag 'Phone'

    attribute :type, RixmlType::NormalizedString, tag: 'type'
    attribute :location, RixmlType::NormalizedString, tag: 'location'

    element :country_code, String, tag: 'CountryCode'
    element :number, String, tag: 'Number'

    def phone_number
      [country_code, number].join(' ')
    end
  end
end
