# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './source'
require_relative './context'
require_relative './content'
require_relative './status_info'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class Product < Node
    include HappyMapper
    tag 'Product'

    has_many :status_infos, StatusInfo, tag: 'StatusInfo', xpath: './'
    has_one :source, Source, tag: 'Source', xpath: './'
    has_one :context, Context, tag: 'Context', xpath: './'
    has_one :content, Content, tag: 'Content', xpath: './'

    attribute :product_id, String, tag: 'productID'
    attribute :event_indicator, RixmlType::YesNoBoolean, tag: 'eventIndicator'

    def current_status_info
      status_infos.find(&:current_status_indicator)
    end
  end
end
