# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class Region < Node
    include HappyMapper
    tag 'Region'

    attribute :region_type, RixmlType::NormalizedString, tag: 'regionType'
    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
    attribute :publisher_defined_value, RixmlType::NormalizedString, tag: 'publisherDefinedValue'
  end
end
