# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'
require_relative './rixml_type/upcase_string'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class SectorIndustry < Node
    include HappyMapper
    tag 'SectorIndustry'

    has_many :sector_industries, SectorIndustry, tag: 'SectorIndustry', xpath: './'

    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
    attribute :focus_level, RixmlType::YesNoBoolean, tag: 'focusLevel'
    attribute :classification_type, RixmlType::NormalizedString, tag: 'classificationType'
    attribute :level, RixmlType::NormalizedString
    attribute :code, String
    element :name, String, tag: 'Name'
  end
end
