# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'
require_relative './rixml_type/upcase_string'

module RixmlDocument
  class SecurityId < Node
    include HappyMapper
    tag 'SecurityID'

    attribute :id_type, RixmlType::NormalizedString, tag: 'idType'
    attribute :publisher_defined_value, String, tag: 'publisherDefinedValue'
    attribute :id_value, String, tag: 'idValue'
    attribute :trading_country_code, RixmlType::UpcaseString, tag: 'tradingCountryCode'
  end
end
