# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class StatusInfo < Node
    include HappyMapper
    tag 'StatusInfo'

    attribute :status_type, RixmlType::NormalizedString, tag: 'statusType'
    attribute :status_date_time, Time, tag: 'statusDateTime'
    attribute :current_status_indicator, RixmlType::YesNoBoolean, tag: 'currentStatusIndicator'
  end
end
